## com.bbn.openmap.layer.vpf
Class CoverageTable.FeatureClassRec

    java.lang.Object
      com.bbn.openmap.layer.vpf.CoverageTable.FeatureClassRec

Enclosing class:
  CoverageTable

public static class CoverageTable.FeatureClassRec
extends java.lang.Object

Feature Type Information read from VPF fca files.

Field Summary
`java.lang.String` `description` a short text description
`java.lang.String` `feature_class` the name of the feature class
`char` `type` the type of the feature

Constructor Summary
`CoverageTable.FeatureClassRec(java.lang.String fclass, char type, java.lang.String desc)` Construct an instance of the class

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### feature_class

    public final java.lang.String feature_class

  the name of the feature class

### type

    public final char type

  the type of the feature

### description

    public final java.lang.String description

  a short text description

Constructor Detail

### CoverageTable.FeatureClassRec

    public CoverageTable.FeatureClassRec(java.lang.String fclass,
                                         char type,
                                         java.lang.String desc)

  Construct an instance of the class

Parameters:
  `fclass` - the feature class name
  `type` - the feature type
  `desc` - the feature description

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details